VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4200
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3480
   LinkTopic       =   "Form1"
   ScaleHeight     =   4200
   ScaleWidth      =   3480
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstModes 
      Height          =   2790
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const CCHDEVICENAME = 32
Private Const CCHFORMNAME = 32
Private Type DEVMODE
    dmDeviceName As String * CCHDEVICENAME
    dmSpecVersion As Integer
    dmDriverVersion As Integer
    dmSize As Integer
    dmDriverExtra As Integer
    dmFields As Long
    dmOrientation As Integer
    dmPaperSize As Integer
    dmPaperLength As Integer
    dmPaperWidth As Integer
    dmScale As Integer
    dmCopies As Integer
    dmDefaultSource As Integer
    dmPrintQuality As Integer
    dmColor As Integer
    dmDuplex As Integer
    dmYResolution As Integer
    dmTTOption As Integer
    dmCollate As Integer
    dmFormName As String * CCHFORMNAME
    dmUnusedPadding As Integer
    dmBitsPerPel As Integer
    dmPelsWidth As Long
    dmPelsHeight As Long
    dmDisplayFlags As Long
    dmDisplayFrequency As Long
End Type
Private Declare Function EnumDisplaySettings Lib "user32.dll" Alias "EnumDisplaySettingsA" (ByVal lpszDeviceName As Long, ByVal iModeNum As Long, ByRef lpDevMode As DEVMODE) As Long

Private Declare Function GetDeviceCaps Lib "gdi32" (ByVal hdc As Long, ByVal nIndex As Long) As Long
Private Const HORZRES = 8       ' Screen width in pixels
Private Const VERTRES = 10      ' Screen height in pixels
Private Const BITSPIXEL = 12    ' Bits of color per pixel
Private Sub Form_Load()
Dim dev_mode As DEVMODE
Dim mode_num As Long

    ' List the display modes.
    dev_mode.dmSize = Len(dev_mode)
    dev_mode.dmDriverExtra = 0
    mode_num = 0
    Do While EnumDisplaySettings(0, mode_num, dev_mode) <> 0
        lstModes.AddItem _
            Format$(dev_mode.dmPelsWidth) & " x " & _
            Format$(dev_mode.dmPelsHeight) & " (" & _
            Format$(dev_mode.dmBitsPerPel) & " bit)"
        mode_num = mode_num + 1
    Loop

    ' Select the current value.
    lstModes.Text = _
        Format$(GetDeviceCaps(hdc, HORZRES)) & " x " & _
        Format$(GetDeviceCaps(hdc, VERTRES)) & " (" & _
        Format$(GetDeviceCaps(hdc, BITSPIXEL)) & " bit)"
End Sub

Private Sub Form_Resize()
    lstModes.Move 0, 0, ScaleWidth, ScaleHeight
End Sub
